/* This example from page 51 notes the "ambiguity is especially pernicious"
   when you don't do indenting properly but only think you do. */

if (n > 0)
    for (i = 0; i < n; i++)
        if (s[i] > 0) {
            printf("...");
            return i;
        }
else /* WRONG */
    printf("error -- n is negative\n");
